Class | Bio::SQL::Location
In: | lib/bio/io/biosql/ar-biosql.rb
Parent: | DummyBase

### Methods

sequence to_s

### Public Instance methods

sequence()

[Source]

         # File lib/bio/io/biosql/ar-biosql.rb, line 117
    117:       def sequence
    118:         seq=""
    119:         unless self.seqfeature.bioentry.biosequence.seq.nil?
    120:           seq=Bio::Sequence::NA.new(self.seqfeature.bioentry.biosequence.seq[start_pos-1..end_pos-1])
    121:           seq.reverse_complement! if strand==-1
    122:         end
    123:         return seq
    124:       end

to_s()

[Source]

         # File lib/bio/io/biosql/ar-biosql.rb, line 108
    108:       def to_s
    109:         if strand==-1
    110:           str="complement("+start_pos.to_s+".."+end_pos.to_s+")"
    111:         else
    112:           str=start_pos.to_s+".."+end_pos.to_s
    113:         end
    114:         return str
    115:       end

[Validate]